commit f57ab849aefc2ab6cbeea946e929278533bd7342
Author: freddy77 <freddy77>
Date:   Wed May 20 16:34:52 2009 +0000

    fix blob1 test

diff --git a/ChangeLog b/ChangeLog
index eb278b9..d58f97c 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed May 20 18:34:45 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/sql2tds.c: fix blob1 test
+
 Wed May 20 18:27:49 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/blob1.c:
 	- allow easy extension and add some type check
@@ -1550,4 +1553,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2788 2009/05/20 16:27:57 freddy77 Exp $
+$Id: ChangeLog,v 1.2789 2009/05/20 16:34:52 freddy77 Exp $
diff --git a/src/odbc/sql2tds.c b/src/odbc/sql2tds.c
index 152494e..65fe4bf 100644
--- a/src/odbc/sql2tds.c
+++ b/src/odbc/sql2tds.c
@@ -53,7 +53,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: sql2tds.c,v 1.80 2009/03/06 17:34:31 freddy77 Exp $");
+TDS_RCSID(var, "$Id: sql2tds.c,v 1.81 2009/05/20 16:34:52 freddy77 Exp $");
 
 static TDS_INT
 convert_datetime2server(int bindtype, const void *src, TDS_DATETIME * dt)
@@ -212,6 +212,9 @@ odbc_sql2tds(TDS_STMT * stmt, const struct _drecord *drec_ipd, const struct _dre
 		memcpy(curcol->column_collation, tds->collation, sizeof(tds->collation));
 	} else {
 		tds_set_param_type(dbc->tds_socket, curcol, dest_type);
+		/* use binary format for binary to char */
+		if (sql_src_type == SQL_C_BINARY && is_char_type(dest_type))
+			curcol->char_conv = NULL;
 	}
 	if (is_numeric_type(curcol->column_type)) {
 		curcol->column_prec = drec_ipd->sql_desc_precision;

